The config is located in `~/.config/hypr/hyprland.conf`.

Hyprland will automatically generate an example config for you if
you don't have one. You can find an example config [here](https://github.com/hyprwm/Hyprland/blob/main/example/hyprland.conf).

By removing the line `autogenerated=1` you'll remove the yellow warning.

There is no "reload" keybind. The config is reloaded the moment you save it.

Start a section with `name {` and end in `}` **_in separate lines!_**

{{< hint type=important >}}
The default config is not complete and does not list all the options / features of Hyprland. 
Please refer to this wiki page and the pages
linked further down here for full configuration instructions.

**Make sure to read the "Variables" page as well**. It covers all the
toggleable / numerical options.
{{< /hint >}}

# Line style

Every config line is a command followed by a value.

```ini
COMMAND=VALUE
```

The command can be a variable, or a special keyword (described further in this
page)

You are **allowed to** input trailing spaces at the beginning and end.

e.g.:

```ini
COMMAND = VALUE
```

is valid.

## Comments

Comments are started with the `#` character.

If you want to escape it (put an actual `#` and not start a comment)
you can use `##`. It will be turned into a single `#` that WILL be a part of your
line.

# Basic configuring

To configure the "options" of Hyprland, animations, styling, etc. see
[Variables](../Variables).

# Advanced configuring

Some keywords (binds, curves, execs, monitors, etc.) are not variables but define
special behavior.

See all of them in [Keywords](../Keywords) and the sidebar.
